from machine import Pin, Timer, PWM, I2C, ADC
from utime import sleep
import time
from time import sleep                  #importing sleep class
from micropython import const
import rp2
from rp2 import PIO, asm_pio
from ssd1306 import SSD1306_I2C
import framebuf
import utime
import freesans20
import writer
import uarray as array


inbuiltLed = 25
WIDTH  = 128                                            # oled display width
HEIGHT = 64                                            # oled display height

# Init I2C using pins GP8 & GP9 (default I2C0 pins)
i2c = I2C(0, scl=Pin(9), sda=Pin(8), freq=400000)

print("I2C Address      : "+hex(i2c.scan()[0]).upper()) # Display device address
print("I2C Configuration: "+str(i2c))                   # Display I2C config

oled = SSD1306_I2C(WIDTH, HEIGHT, i2c)                  # Init oled display
# Raspberry Pi logo as 32x32 bytearray

aadc = ADC(Pin(28))     # create ADC object on ADC pin
state =0

servo = PWM(Pin(2))		# 1-2ms  1.5ms CENTER  that is 4915
servo.freq(50)
servo.duty_u16(4915)

print("Starting test")
i = 0
oled.fill(0)
# Add some text
oled.text("ETC22 - 2024",0,0)
oled.text("Frequency",0,15)
oled.show()
while True:
    #oled.fill(0) # clear the display
    #for jj in range(pix_res_x): # loop through horizontal display resolution
    oled.fill(0)
    oled.text("ETC22 - 2024",0,0)
    oled.text("Frequency",0,15)
    oled.show()
    i2c = I2C(0, scl=Pin(9), sda=Pin(8), freq=10000)
    while True:
        time.sleep(1)
        oled.invert(1)
        time.sleep(1)
        oled.invert(0)